function IsEmail(emailStr)
{
	var emailPat = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/;
	var matchArray = emailStr.match(emailPat);
	
	if (matchArray == null)
	{
		return (false);
	}

	return (true);
} 
function IsEmpty(s)
{    
	return ((s == null) || (s.length == 0))
}

function IsWhitespace (s)
{   
	var whitespace = " \t\n\r";
	var i;

  if (IsEmpty(s)) return true;
  for (i = 0; i < s.length; i++)
  {   
    var c = s.charAt(i);
    if (whitespace.indexOf(c) == -1) return false;
  }
  return true;
}
